
Foreman - Bug #20991

Assigning specific host to newly created org/loc does not work

09/19/2017 02:55 AM - Marek Hulán

Status: New   

Priority: Normal   

Assignee: Rahul Bajaj   

Category: Organizations and Locations   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Reproducing steps:

1. have at least one host without any org/loc (update from console, register through puppet)

2. create new location

3. in step 2 select you want to choose "Manually assign"

4. click some host, clicking the green "Assign to Location"

The button does nothing, form is not submitted. It seems the submit is part of a wrong <form>. Also the button should not be green, it

should be blue.

Related issues:

Related to Foreman - Tracker #28345: SSO using OpenID Connect New

History

#1 - 11/09/2017 11:23 AM - Rahul Bajaj

- Assignee set to Rahul Bajaj

#2 - 11/25/2019 02:29 PM - Rahul Bajaj

- Related to Tracker #28345: SSO using OpenID Connect added

#3 - 02/10/2020 12:17 PM - Marek Hulán

Rahul, answering here since you were already offline. I think this is still valid issue, the host can be unassigned to any org/loc, e.g. if it's created from

facts or report upload. Whether it's right or wrong is a different question, but given there's still a way to create such host, we should fix it.
